import { Platform, StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";

const styles = StyleSheet.create({
  dataView: {
    maxHeight: windowHeight(309),
    marginHorizontal: windowWidth(20),
    borderRadius: windowHeight(15),
    marginTop: windowHeight(10),
    overflow: "hidden",
    borderWidth: windowHeight(1),
    marginBottom: windowHeight(85),
    paddingTop: windowHeight(8),
  },
  list: {
    justifyContent: "space-between",
    marginHorizontal: windowWidth(20),
    marginVertical: windowHeight(10),
  },
  receiptView: {
    height: windowHeight(38),
    width: windowHeight(38),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(38),
    borderWidth: windowWidth(2),
    borderColor: appColors.lightGray,
  },
  detailView: {
    marginHorizontal: windowWidth(10),
    justifyContent: "space-around",
  },
  description: {
    fontSize: fontSizes.FONT16,
    fontFamily: appFonts.medium,
    width: windowWidth(200),
  },
  amountView: {
    height: windowHeight(35),
    width: windowWidth(100),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(9),
  },
  amount: {
    fontSize: fontSizes.FONT20,
    fontFamily: appFonts.medium,
  },
  icons: {
    marginTop: windowHeight(4),
    height: windowHeight(16),
    width: windowHeight(16),
  },
  dash: {
    height: windowHeight(5.5),
    backgroundColor: appColors.lightGray,
    marginTop: windowHeight(2),
    width: "100%",
  },
  bgStyle: {
    backgroundColor: appColors.whiteColor,
    alignItems: "center",
  },
});
export default styles;
